rxApp=.RexxApplication~new
jrxApp=BSFCreateRexxProxy(rxApp, ,"javafx.application.Application")
jrxApp~launch(jrxApp~getClass, .nil)

::requires "BSF.CLS" -- Java Support

::class RexxApplication
::method start
  use arg primaryStage
  primaryStage~setTitle("Willkommen zum Quizmaster! Viel Spass!")
  colorClz=bsf.loadClass("javafx.scene.paint.Color")
  cdClz=bsf.loadClass("javafx.scene.control.ContentDisplay")
  alClz=bsf.loadClass("javafx.geometry.Pos")

-- Anchor Pane
  root=.bsf~new("javafx.scene.layout.AnchorPane")
  root~prefHeight=180
  root~prefWidth=600

-- Frage erstellen
qstn = .bsf~new("javafx.scene.control.Label")
qstn~textFill = colorClz~RED
qstn~layoutX = 50
qstn~layoutY = 58.0
qstn~text = "Die Mutter von Kevin hat insgesamt drei Kinder. Diese heissen Tick, Trick und ...?"

-- erste Checkbox definieren
  btn=.bsf~new("javafx.scene.control.CheckBox")
  btn~textFill=colorClz~BLUE
  btn~layoutX = 50.0
  btn~layoutY = 123.0
  btn~text = "Tack"

-- zweite Checkbox definieren
  btn2=.bsf~new("javafx.scene.control.CheckBox")
  btn2~textFill=colorClz~BLUE
  btn2~layoutX = 50.0
  btn2~layoutY = 170.0
  btn2~text = "Track"

-- dritte Checkbox definieren
  btn3=.bsf~new("javafx.scene.control.CheckBox")
  btn3~textFill=colorClz~BLUE
  btn3~layoutX = 50.0
  btn3~layoutY = 216.0
  btn3~text = "Kevin"

-- Antwort überprüfen
  lbl=.bsf~new("javafx.scene.control.Label")
  lbl~textFill=colorClz~BLUE
  lbl~setLayoutX(200)
  lbl~setLayoutY(200)
  lbl~prefHeight="200"
  lbl~prefWidth="200"
  lbl~contentDisplay=cdClz~CENTER
  lbl~alignment=alClz~valueOf("CENTER")

-- alle 3 Checkboxen, die Frage, die Antwort und das Label zu Anchor Pane Objekt hinzufügen
  root~getChildren~~add(btn)~~add(btn2)~~add(btn3)~~add(qstn)~~add(lbl)

-- Szene im Fenster zeigen
 primaryStage~setScene(.bsf~new("javafx.scene.Scene", root))
 primaryStage~show

-- Aktion nach Button Click
 rh =.answerCheck1~new(lbl)
 jrh=BSFCreateRexxProxy(rh, ,"javafx.event.EventHandler")
 btn3~setOnAction(jrh)

--Aktion nach Button Click
 rh =.answerCheck2~new(lbl)
 jrh = BSFCreateRexxProxy(rh, ,"javafx.event.EventHandler")
 btn2~setOnAction(jrh)
 btn~setOnAction(jrh)


-- Rexx Klasse die beinhaltet, was passiert wenn man den richtigen Button drückt
::class answerCheck1   -- implementiert "javafx.event.EventHandler" interface
::method init
  expose label      -- direkter Zugriff auf ooRexx attribute
  use arg label

::method handle
  expose label
--Ergebnis anzeigen
  say "Die Frage wurde richtig beantwortet"
  label~text = "Vollkommen richtig du GENIE!"

-- Rexx Klasse die beinhaltet, was passiert wenn man den falschen Button drückt
::class answerCheck2
::method init
  expose label
  use arg label

::method handle
  expose label

  say "Die Frage wurde falsch beantwortet"
  label~text="FALSCH, du musst genauer lesen!"



